Bug 1249278 - dnf no such command langlist
dnf no such command langlist
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-langpacks (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-01 05:05 EDT by leinfeva
Modified: 2015-08-19 04:05 EDT (History)
1 user (show)

See Also:
Fixed In Version: dnf-langpacks-0.15.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-19 04:05:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description leinfeva 2015-08-01 05:05:48 EDT
Description of problem:
I've install the testing of dnf-langpacks and i've running the test case.
https://fedoraproject.org/wiki/QA:Langpack_Dnf_Application but the output terminal say that "no such command".


Version-Release number of selected component (if applicable):
dnf-langpacks-0.14.0-1.fc23.noarch

How reproducible:


Steps to Reproduce:
[leinfeva@new-host-5 ~]$ rpm -qa |grep -i dnf-langpacks
dnf-langpacks-conf-0.14.0-1.fc23.noarch
dnf-langpacks-0.14.0-1.fc23.noarch
[leinfeva@new-host-5 ~]$ dnf langlist
No such command: langlist. Please use /usr/bin/dnf --help
It could be a DNF plugin command, try: "dnf install 'dnf-command(langlist)'"
[leinfeva@new-host-5 ~]$
Comment 1 Parag Nemade 2015-08-01 11:10:15 EDT
can you just provide output of "dnf" command on your system?
Comment 2 leinfeva 2015-08-01 12:18:05 EDT
[leinfeva@new-host-5 ~]$ dnf
You need to give some command
usage: dnf [options] COMMAND

List of Main Commands

autoremove                
check-update              Check for available package upgrades
clean                     Remove cached data
distro-sync               Synchronize installed packages to the latest available versions
downgrade                 downgrade a package
group                     Display, or use, the groups information
help                      Display a helpful usage message
history                   Display, or use, the transaction history
info                      Display details about a package or group of packages
install                   Install a package or packages on your system
list                      List a package or groups of packages
makecache                 Generate the metadata cache
provides                  Find what package provides the given value
reinstall                 reinstall a package
remove                    Remove a package or packages from your system
repolist                  Display the configured software repositories
repository-packages       Run commands on top of all packages in given repository
search                    Search package details for the given string
updateinfo                Display advisories about packages
upgrade                   Upgrade a package or packages on your system
upgrade-to                Upgrade a package on your system to the specified version

List of Plugin Commands

builddep                  Install build dependencies for package or spec file
config-manager            manage dnf configuration options and repositories
copr                      Interact with Copr repositories.
debuginfo-install         install debuginfo packages
download                  Download package to current directory
needs-restarting          determine updated binaries that need restarting
playground                Interact with Playground repository.
repoquery                 search for packages matching keyword
reposync                  download all packages from remote repo
[leinfeva@new-host-5 ~]$
Comment 3 Parag Nemade 2015-08-01 12:21:29 EDT
In F23, dnf defaults to dnf-3 and you have missing python3-dnf-langpacks package. Can you install it and then check "dnf langlist" ?
Comment 4 leinfeva 2015-08-01 12:35:45 EDT
[root@new-host-5 leinfeva]# dnf install python3-dnf-langpacks
wikitcms repository                             5.3 kB/s | 7.5 kB     00:01    
Fedora 23 - x86_64 - Test Updates               217 kB/s | 686 kB     00:03    
Last metadata expiration check performed 0:00:01 ago on Sat Aug  1 13:23:41 2015.
Dependencies resolved.
================================================================================
 Package                  Arch      Version            Repository          Size
================================================================================
Installing:
 python3-dnf-langpacks    noarch    0.14.0-1.fc23      updates-testing     35 k

Transaction Summary
================================================================================
Install  1 Package

Total download size: 35 k
Installed size: 75 k
Is this ok [y/N]: y
Downloading Packages:
python3-dnf-langpacks-0.14.0-1.fc23.noarch.rpm  5.4 kB/s |  35 kB     00:06    
--------------------------------------------------------------------------------
Total                                           4.1 kB/s |  35 kB     00:08     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : python3-dnf-langpacks-0.14.0-1.fc23.noarch                  1/1 
  Verifying   : python3-dnf-langpacks-0.14.0-1.fc23.noarch                  1/1 

Installed:
  python3-dnf-langpacks.noarch 0.14.0-1.fc23                                    

Complete!
[root@new-host-5 leinfeva]# dnf langlist
No langpacks installed


Ok later i've edit /etc/dnf/plugins/langpacks.conf and uncomment 

#langpack_locales = ja, zh_CN, cs, pt_BR, mr


later i've run "dnf langinfo ja" and here is the output

[root@new-host-5 leinfeva]# dnf langinfo ja
Language-Id=ja
  autocorr-ja
  calligra-l10n-ja
  eclipse-nls-ja
  gimp-help-ja
  kde-i18n-Japanese
  kde-l10n-ja
  kicad-doc-ja
  libreoffice-langpack-ja
  man-pages-ja
  nqc-doc-ja
  qt5-qttranslations
  stardict-dic-ja
  tesseract-langpack-jpn
  tkgate-ja
[root@new-host-5 leinfeva]#
Comment 5 Parag Nemade 2015-08-01 20:56:13 EDT
so everything is now correctly working right? Should this bug be closed then?
Comment 6 leinfeva 2015-08-01 21:23:05 EDT
(In reply to Parag Nemade from comment #5)
> so everything is now correctly working right? Should this bug be closed then?

Before this i have a little question. should be a require of dnf-langpacks the package python3-dnf-langpacks?

[root@new-host-5 leinfeva]# rpm -qR dnf-langpacks
/bin/sh
config(dnf-langpacks) = 0.14.0-1.fc23
dnf
dnf-langpacks-conf = 0.14.0-1.fc23
langtable-python
python(abi) = 2.7
python-dnf-plugins-core
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
[root@new-host-5 leinfeva]#
Comment 7 Parag Nemade 2015-08-13 05:02:02 EDT
I just split dnf-langpacks into meta-package dnf-langpacks and sub-package python-dnf-langpacks. If you check 0.15.0 update then just installing dnf-langpacks will pull python3-dnf-langpacks.
Comment 8 Fedora Update System 2015-08-13 05:13:21 EDT
dnf-langpacks-0.15.0-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/dnf-langpacks-0.15.0-1.fc23
Comment 9 Fedora Update System 2015-08-14 22:10:49 EDT
Package dnf-langpacks-0.15.0-1.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-langpacks-0.15.0-1.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13457/dnf-langpacks-0.15.0-1.fc23
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2015-08-19 04:05:21 EDT
dnf-langpacks-0.15.0-1.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.